# Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/georef/GEOREF.cpp File Reference

`#include <ctype.h>`
`#include <math.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "GEOREF.h"`
`#include "GEOREFCoordinates.h"`
`#include "MapProjectionCoordinates.h"`
`#include "GeodeticCoordinates.h"`
`#include "CoordinateConversionException.h"`
`#include "ErrorMessages.h"`

Go to the source code of this file.

## Functions

void | extractDegrees (char *GEOREFString, double *longitude, double *latitude)
void | extractMinutes (char *GEOREFString, long start, long length, long errorType, double *minutes)
long | roundGEOREF (double value)
void | convertMinutesToString (double minutes, long precision, char *str)

## Variables

const int | TRUE = 1
const int | FALSE = 0
const double | LATITUDE_LOW = -90.0
const double | LATITUDE_HIGH = 90.0
const double | LONGITUDE_LOW = -180.0
const double | LONGITUDE_HIGH = 360.0
const double | MIN_PER_DEG = 60.0
const int | GEOREF_MINIMUM = 4
const int | GEOREF_MAXIMUM = 14
const int | GEOREF_LETTERS = 4
const int | MAX_PRECISION = 5
const int | LETTER_I = 8
const int | LETTER_M = 12
const int | LETTER_O = 14
const int | LETTER_Q = 16
const int | LETTER_Z = 25
const int | LETTER_A_OFFSET = 65
const int | ZERO_OFFSET = 48
const double | PI = 3.14159265358979323e0
const double | DEGREE_TO_RADIAN = (PI / 180.0)
const double | RADIAN_TO_DEGREE = (180.0 / PI)
const double | QUAD = 15.0
const double | ROUND_ERROR = 0.0000005

## Function Documentation

void convertMinutesToString | ( | double | minutes,
|  | long | precision,
|  | char * | str |
| ) |  |  |

Definition at line 250 of file GEOREF.cpp.

void extractDegrees | ( | char * | GEOREFString,
|  | double * | longitude,
|  | double * | latitude |
| ) |  |  |

Definition at line 146 of file GEOREF.cpp.

void extractMinutes | ( | char * | GEOREFString,
|  | long | start,
|  | long | length,
|  | long | errorType,
|  | double * | minutes |
| ) |  |  |

if( errorType == GEOREF_STR_LON_MIN_ERROR )

Definition at line 193 of file GEOREF.cpp.

long roundGEOREF | ( | double | value | ) |

Definition at line 234 of file GEOREF.cpp.

## Variable Documentation

const double DEGREE_TO_RADIAN = (PI / 180.0)

Definition at line 135 of file GEOREF.cpp.

const int FALSE = 0

Definition at line 117 of file GEOREF.cpp.

const int GEOREF_LETTERS = 4

Definition at line 125 of file GEOREF.cpp.

const int GEOREF_MAXIMUM = 14

Definition at line 124 of file GEOREF.cpp.

const int GEOREF_MINIMUM = 4

Definition at line 123 of file GEOREF.cpp.

const double LATITUDE_HIGH = 90.0

Definition at line 119 of file GEOREF.cpp.

const double LATITUDE_LOW = -90.0

Definition at line 118 of file GEOREF.cpp.

const int LETTER_A_OFFSET = 65

Definition at line 132 of file GEOREF.cpp.

const int LETTER_I = 8

Definition at line 127 of file GEOREF.cpp.

const int LETTER_M = 12

Definition at line 128 of file GEOREF.cpp.

const int LETTER_O = 14

Definition at line 129 of file GEOREF.cpp.

const int LETTER_Q = 16

Definition at line 130 of file GEOREF.cpp.

const int LETTER_Z = 25

Definition at line 131 of file GEOREF.cpp.

const double LONGITUDE_HIGH = 360.0

Definition at line 121 of file GEOREF.cpp.

const double LONGITUDE_LOW = -180.0

Definition at line 120 of file GEOREF.cpp.

const int MAX_PRECISION = 5

Definition at line 126 of file GEOREF.cpp.

const double MIN_PER_DEG = 60.0

Definition at line 122 of file GEOREF.cpp.

const double PI = 3.14159265358979323e0

Definition at line 134 of file GEOREF.cpp.

const double QUAD = 15.0

Definition at line 137 of file GEOREF.cpp.

const double RADIAN_TO_DEGREE = (180.0 / PI)

Definition at line 136 of file GEOREF.cpp.

const double ROUND_ERROR = 0.0000005

Definition at line 138 of file GEOREF.cpp.

const int TRUE = 1

Definition at line 116 of file GEOREF.cpp.

const int ZERO_OFFSET = 48

Definition at line 133 of file GEOREF.cpp.